
package de.ivu.elect.presentation.wahlvorschlag.menu;

import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.presentation.menu.MenuEntry;
import de.ivu.elect.presentation.kandidatur.menu.EinzelbewerberListenkandidaturCreateMenuItemEntry;

@Named(ListeSearchMenu.COMPONENT_NAME)
public class ListeSearchMenu extends AbstractWahlvorschlagSearchMenu {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "listeSearchMenu";

  @Inject
  private transient ListeCreateMenuItemEntry listeCreateMenuItemEntry;

  @Inject // ELECT-12006
  private transient EinzelbewerberListenkandidaturCreateMenuItemEntry einzelbewerberListenkandidaturCreateMenuItemEntry;

  @Inject
  private transient ListenverbindungCreateMenuItemEntry listenverbindungCreateMenuItemEntry;

  @Inject
  protected transient ListeWahlvorschlaegeAlsListeDokumentErzeugenMenuItemEntry listeWahlvorschlaegeAlsListeDokumentErzeugenMenuItemEntry;

  @Inject
  private transient ListeZuTestzweckenZulassenMenuItemEntry listeZuTestzweckenZulassenMenuItemEntry;

  public ListeSearchMenu() {
    super();
  }

  @Override
  protected void addMenuEntriesCreate(List<MenuEntry> result) {
    result.add(listeCreateMenuItemEntry);
    result.add(einzelbewerberListenkandidaturCreateMenuItemEntry);
    result.add(listenverbindungCreateMenuItemEntry);
  }

  @Override
  protected void addMenuEntriesDokumentErzeugen(List<MenuEntry> result) {
    result.add(listeWahlvorschlaegeAlsListeDokumentErzeugenMenuItemEntry);
  }

  @Override
  protected void addMenuEntriesZulassenZuTestzwecken(List<MenuEntry> result) {
    result.add(listeZuTestzweckenZulassenMenuItemEntry);
  }
}
